from src.Game.game import Game
from src.Board.board import Board
from src.AI.ai import AI
from src.UI.ui import UI

def main() -> None:
    board = Board()
    ai = AI()
    game = Game(board, ai)
    ui = UI(game)
    ui.start()

if __name__ == "__main__":
    main()